# Nettlesome

Simplified semantic reasoning in Python

[![An Ethical Open Source Project](https://img.shields.io/badge/open-ethical-%234baaaa)](https://ethicalsource.dev/licenses/) [![Tests](https://github.com/mscarey/nettlesome/actions/workflows/python-package.yml/badge.svg)](https://github.com/mscarey/nettlesome/actions) [![Coverage Status](https://coveralls.io/repos/github/mscarey/nettlesome/badge.svg?branch=master)](https://coveralls.io/github/mscarey/nettlesome?branch=master) [![Documentation Status](https://readthedocs.org/projects/nettlesome/badge/?version=latest)](https://nettlesome.readthedocs.io/en/latest/?badge=latest) [![PyPI - Python Version](https://img.shields.io/pypi/pyversions/nettlesome)](https://pypi.org/project/nettlesome/)

Nettlesome is a Python
library defining a limited grammar of natural-language statements
that can be compared programmatically for implication or contradiction.

Nettlesome is intended for use where there is a limited schema of statements
that can be used to annotate a dataset with categories, numbers, quantities,
and dates. One example of such a schema is
the [National Information Exchange Model](https://github.com/NIEM/NIEM-Releases/tree/niem-5.0).

Although Nettlesome was designed to be used for legal annotations in
the [AuthoritySpoke](https://github.com/mscarey/AuthoritySpoke) library,
Nettlesome itself doesn't depend on any legal concepts or specialized knowledge.

Find [Nettlesome's documentation](https://nettlesome.readthedocs.io/) and an [introductory guide with examples](https://nettlesome.readthedocs.io/en/latest/guides/intro.html) on ReadTheDocs.
